#include "io430.h"
#include <stdbool.h>
#include <stdio.h>

struct CatalogItem
{
  char name[8];
  int priceInCent;
  bool inStock;
};
typedef struct CatalogItem CatalogItem;

CatalogItem inventory[] =
{
  {"Motor", 1298, true},
  {"Rad", 198, false},
  {"Motor2", 1598, true},
  {"Rad3", 498, true},
  {"Motor5", 1898, true},
  {"Rad4", 1898, false},
  {"Motor3", 1198, true}  
};

int main(void)
{
  int count = sizeof inventory / sizeof (CatalogItem);

  // Bubblesort: langsam, aber schlank 
  bool done = false;
  while(!done)
  {
    done = true;
    for(int i = 0; i < count - 1; i++)
    {
      if(inventory[i].priceInCent > inventory[i+1].priceInCent)
      {
        CatalogItem copy = inventory[i+1];
        inventory[i+1] = inventory[i];
        inventory[i] = copy;
        done = false;
      }
    }
  }
  
  for(int i = 0; i < count; i++)
  {
    if(inventory[i].inStock)
    {
      printf("%s kostet %d Cent.\n", inventory[i].name, inventory[i].priceInCent);
    }
  }
  
  return 0;
}
