#include "io430.h"
#include <stdbool.h>
#include <stdio.h>

struct CatalogItem
{
  char name[8];
  int priceInCent;
  bool inStock;
};
typedef struct CatalogItem CatalogItem;

CatalogItem inventory[] =
{
  {"Motor", 1298, true},
  {"Rad", 198, false},
  {"Motor2", 1598, true},
  {"Rad2", 498, true}
};

int main(void)
{
  int count = sizeof inventory / sizeof (CatalogItem);
  int iCheapest = -1;
  int cheapestPrice = 0x7FFF;
  for(int i = 0; i < count; i++)
  {
    if(inventory[i].inStock)
    {
      int p = inventory[i].priceInCent;
      if(p < cheapestPrice)
      {
        cheapestPrice = p;
        iCheapest = i;
      }
    }
  }
  if(iCheapest >= 0)
  {
    puts(inventory[iCheapest].name);
  }
  return 0;
}
